﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.DD.100006
         ELS Ref: V1925C
      
         IF (RP:entity.identifier.scheme = “http://www.ato.gov.au/tfn”) AND 
         (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK) AND 
         (
           (
             (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK) OR 
             (pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK)
           ) OR 
           (pyde.xx.xx:PersonDemographicDetails.Birth.Date = NULL)
         ) 
           RETURN VALIDATION MESSAGE
         ENDIF       
    -->
    <assert id="VR.ATO.DD.100006" diagnostics="DVR.ATO.DD.100006"
            test="not(
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'
                        ]
                        and
                        not($dd15[not(@i:nil='true') and string-length(.) != 0])
                        and
                        (
                          not($dd7[not(@i:nil='true') and string-length(.) != 0])
                          or
                          not($dd8[not(@i:nil='true') and string-length(.) != 0])
                          or
                          not($dd9[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />
    

    <!-- Rule ID: VR.ATO.DD.100008
		
	    IF [dd15] = NULLORBLANK AND [dd7] = NULLORBLANK
        RETURN VALIDATION MESSAGE
      ENDIF
		-->

    <assert id="VR.ATO.DD.100008" diagnostics="DVR.ATO.DD.100008"
			  test="not(                        
                      not($dd15[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                      and
                      not($dd7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                     )" />

    
    <!-- Rule ID: VR.ATO.DD.100013
		    ELS Ref: V17
        IF [dd12] = NULL
          RETURN VALIDATION MESSAGE
        ENDIF
		-->
    <assert id="VR.ATO.DD.100013" diagnostics="DVR.ATO.DD.100013"
			  test="not(                        
                      not($dd12[not(@i:nil='true')])

                     )" />

    
    <!-- Rule ID: VR.ATO.DD.100014
        ELS Ref: V176
		
        IF (([dd12] <> NULLORBLANK) AND (([dd12] < 012000) OR ([dd12] > 999999)))
          RETURN VALIDATION MESSAGE
        ENDIF
		-->
    <assert id="VR.ATO.DD.100014" diagnostics="DVR.ATO.DD.100014"
			  test="not(                        
                       $dd12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                       and
                       (($dd12 &lt; 12000) or ($dd12 &gt; 999999))
 

                     )" />


    <!-- Rule ID: VR.ATO.DD.100017
		    ELS Ref: V17
      
        IF [dd13] = NULL
          RETURN VALIDATION MESSAGE
        ENDIF
		-->
    <assert id="VR.ATO.DD.100017" diagnostics="DVR.ATO.DD.100017"
			  test="not(                        
                      not($dd13[not(@i:nil='true')])

                     )" />
    
    
    


    <!-- Rule ID: VR.ATO.DD.100038
		    ELS Ref: V17
        IF [dd14] = NULL
          RETURN VALIDATION MESSAGE
        ENDIF
		-->
    <assert id="VR.ATO.DD.100038" diagnostics="DVR.ATO.DD.100038"
			  test="not(                        
                      not($dd14[not(@i:nil='true')])

                     )" />
    

    <!-- Rule ID: VR.ATO.DD.100086
         ELS Ref: N/A
        
        IF ([dd11] <> NULL) AND (DATE(TODAY) > CONVERT_TO_DATE([dd11].Day - 3, [dd11].Month, [dd11].Year))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [dd11] = pyin.xx.xx:PaymentRecord.ArrangedPayment.Date
     -->
    <assert id="VR.ATO.DD.100086" diagnostics="DVR.ATO.DD.100086"
            test="not(
                        
                        $dd11[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterThanDate2(current-date(),function:AddRemoveDaysToDate(., -3))]
                     )" />


    <!-- Rule ID: VR.ATO.DD.100088
		    ELS Ref: V17
        
      IF [dd11] = NULL
        RETURN VALIDATION MESSAGE
       ENDIF
		-->
    <assert id="VR.ATO.DD.100088" diagnostics="DVR.ATO.DD.100088"
			  test="not(                        
                      not($dd11[not(@i:nil='true')])

                     )" />

    
    <!-- Rule ID: VR.ATO.DD.100090
		    ELS Ref: V17
      
        IF [dd17] = NULL
          RETURN VALIDATION MESSAGE
        ENDIF
		-->
    <assert id="VR.ATO.DD.100090" diagnostics="DVR.ATO.DD.100090"
			  test="not(                        
                      not($dd17[not(@i:nil='true')])

                     )" />


    <!-- Rule ID: VR.ATO.DD.100091
         ELS Ref: V2452
    
        IF ([dd17] STARTSWITH " ")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    
    <assert id="VR.ATO.DD.100091" diagnostics="DVR.ATO.DD.100091"
             test="not(
                        $dd17[matches(.,'^( )(.*)$')]
                        
                        
                       )"/>
    
    
    <!-- Rule ID: VR.ATO.DD.100092
         ELS Ref: N/A
        
        IF ([dd11] <> NULL) AND (DATE(TODAY) < CONVERT_TO_DATE([dd11].Day - 90, [dd11].Month, [dd11].Year))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [dd11] = pyin.xx.xx:PaymentRecord.ArrangedPayment.Date
     -->
    <assert id="VR.ATO.DD.100092" diagnostics="DVR.ATO.DD.100092"
            test="not(
                        
                        $dd11[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterThanDate2(function:AddRemoveDaysToDate(., -90), current-date())]
                     )" />

    
    <!-- Rule ID: VR.ATO.DD.100094
		    ELS Ref: V83
        IF ([dd14] <> NULL) AND ([dd14] = 0)
          RETURN VALIDATION MESSAGE
        ENDIF
		-->
    <assert id="VR.ATO.DD.100094" diagnostics="DVR.ATO.DD.100094"
			  test="not(                        
                      $dd14[not(@i:nil='true')]
                      and
                      $dd14 = 0
                      
                     )" />

    
    <!-- Rule ID: VR.ATO.DD.100234
		    ELS Ref: V93B
        IF [dd11] <> NULL AND (DAYNAME([dd11]) = SET("Saturday","Sunday") 
          OR [dd11] = SET("2015-12-25","2015-12-28","2016-01-01","2016-01-26","2016-03-25","2016-03-28","2016-04-25"))
            RETURN VALIDATION MESSAGE
        ENDIF
		-->
    <assert id="VR.ATO.DD.100234" diagnostics="DVR.ATO.DD.100234"
			  test="not(                        
               
            $dd11[not(@i:nil='true')]
            and
            (
                matches(format-date($dd11, '[F]'),'^(Saturday|Sunday)$', 'i')
                or
                matches($dd11, '^(2015-12-25|2015-12-28|2016-01-01|2016-01-26|2016-03-25|2016-03-28|2016-04-25)$')
             )
        )" />
    
    

    <!-- Rule ID: VR.ATO.GEN.410128
         ELS Ref: V17
      
         IF (pyin.xx.xx:Declaration.StatementAccepted.Indicator <> NULLORBLANK) AND (pyin.xx.xx:Declaration.StatementAccepted.Indicator = FALSE)
            RETURN VALIDATION MESSAGE
         ENDIF
        
         [dd23] = pyin.xx.xx:Declaration.StatementAccepted.Indicator
    -->
    <assert id="VR.ATO.GEN.410128" diagnostics="DVR.ATO.GEN.410128"
            test="not(
                        $dd23RPTAC
                          [
                            not(@i:nil='true') and string-length(.) != 0
                            and 
                            matches(.,'^(false|0)$')
                          ]
                        or
                        $dd23INTTAC
                          [
                            not(@i:nil='true') and string-length(.) != 0
                            and 
                            matches(.,'^(false|0)$')
                          ]
                     )" />


    <!-- Rule ID: VR.ATO.GEN.428247
         ELS Ref: V21
         
        IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
            test="not(
                        ($dd20RPTAC[not(@i:nil='true') and string-length(.) != 0] and not(function:ValidateTAN($dd20RPTAC)))
                        or           
                        ($dd20INTTAC[not(@i:nil='true') and string-length(.) != 0] and not(function:ValidateTAN($dd20INTTAC)))
                        
                     )"/>
    
    
    
    <!-- Rule ID: VR.ATO.GEN.500061
         ELS Ref: V173B
      
         IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number = NULLORBLANK) AND (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)) OR ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK))
           RETURN VALIDATION MESSAGE
         ENDIF
         
        
         [dd21] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [dd24] = pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500061" diagnostics="DVR.ATO.GEN.500061"
            test="not(
                        (
                          count($INTTAC.Context) = 0 
                          and
                          $dd21RPTAC[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($dd24RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          count($RPTAC.Context) = 0 
                          and
                          $dd21INTTAC[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($dd24INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />


    <!-- Rule ID: VR.ATO.GEN.500062
         ELS Ref: V173B
      
         IF (
              (CONTEXT(Intermediary.TrueAndCorrect) = NULL) 
              AND 
              (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number <> NULLORBLANK) 
              AND 
              (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            ) 
            OR 
            (
              (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) 
              AND 
              (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULLORBLANK) 
              AND 
              (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            )
           RETURN VALIDATION MESSAGE
         ENDIF
         
         
        
         [dd21] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [dd24] = pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500062" diagnostics="DVR.ATO.GEN.500062"
            test="not(
                        (
                          count($INTTAC.Context) = 0 
                          and
                          $dd24RPTAC[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($dd21RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          count($RPTAC.Context) = 0 
                          and
                          $dd24INTTAC[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($dd21INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />
    

  </rule>

  

  
  <rule context="xbrli:xbrl/rvctc3.02.20:Tax.RoleType.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.DD.100039
         ELS Ref: V35
         
        
        IF ([dd5] <> NULLORBLANK) AND ([dd5] <> SET("IT"))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [dd5] = rvctc3.xx.xx:Tax.RoleType.Code
    -->
    <assert id="VR.ATO.DD.100039" diagnostics="DVR.ATO.DD.100039"
				test="not(
                        not(
                              upper-case(.) = 'IT'
                           )
                     )"/>

  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410038
         ELS Ref: V137B
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND 
           (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
          RETURN VALIDATION MESSAGE
        ENDIF      
    -->
    <assert id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038"
             test="not(
                        matches(.,'^(T/A )(.*)$', 'i') 
                        and 
                        matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')
                       )"/>

    
    <!-- Rule ID: VR.ATO.GEN.410206 removed for CR2900 | INC000029748406 -->
    


    <!-- Rule ID: VR.ATO.GEN.428261
         ELS Ref: V137D
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.GEN.428261" diagnostics="DVR.ATO.GEN.428261"
             test="not(
                        matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')
                       )" />


    <!-- Rule ID: VR.ATO.GEN.428259
         ELS Ref: V137E
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS ""P/L"")
          RETURN VALIDATION MESSAGE
        ENDIF

    -->
    <assert  id="VR.ATO.GEN.428259" diagnostics="DVR.ATO.GEN.428259"
             test="not(
                        matches(.,'^(.*)(P/L)(.*)$')
                      )" />

    
    <!-- Rule ID: VR.ATO.GEN.500086
           ELS Ref: V1926B
           
           IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
               ((pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK OR 
                 pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) OR 
                 pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL)
              RETURN VALIDATION MESSAGE
          ENDIF        
    -->
    <assert id="VR.ATO.GEN.500086" diagnostics="DVR.ATO.GEN.500086"
             test="not(
                          $dd7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $dd8[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $dd9[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                        )"/>

  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410200
           ELS Ref: V137A
    
          IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
            RETURN VALIDATION MESSAGE
          ENDIF        
      -->
    <assert id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200"
            test="not(
                         matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                         matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                         matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                         matches(.,'^(Exec for|Rep for|Trustee for)$','i')            
                      )"/>

    
    <!-- Rule ID: VR.ATO.GEN.410201
         ELS Ref: V140
    
        IF ([dd7] = FOUND("MR","MRS","MISS","MS"))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [dd7] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201"
            test="not(
                        matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                        matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                        matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                        matches(.,'^(MR|MRS|MISS|MS)$','i')
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.428231
         ELS Ref: V141
         
        IF ([dd7] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [dd7] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231"
            test="not(
                        matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                        matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                        matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                        matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                        
                     )"/>

  </rule>


  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410202
         ELS Ref: V141
         
        IF ([dd8] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [dd8] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202"
            test="not(
                          matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                          matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                          matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                          matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                     )"/>
    

    <!-- Rule ID: VR.ATO.GEN.410203
         ELS Ref: V137A
    
        IF ([dd8] = FOUND("Exec for","Rep for","Trustee for"))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [dd8] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203"
            test="not(
                        matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                        matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                        matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                        matches(.,'^(Exec for|Rep for|Trustee for)$','i')            
                      )"/>

    
    <!-- Rule ID: VR.ATO.GEN.410204
         ELS Ref: V140
    
        IF ([dd8] = FOUND("MR","MRS","MISS","MS"))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [dd8] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204"
            test="not(
                        matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                        matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                        matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                        matches(.,'^(MR|MRS|MISS|MS)$','i')                        
                     )"/>
    
  </rule>

  <rule context="xbrli:xbrl/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500066
         
        IF (pyin.xx.xx:Declaration.Signature.Date > DATE(TODAY))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500066" diagnostics="DVR.ATO.GEN.500066"
            test="not(
                        function:IsDate1GreaterThanDate2(., current-date())
                     )"/>

  </rule>
  
</pattern>