﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.DD.100089
         ELS Ref: V9

          IF ([dd17] <> NULLORBLANK) AND (ANY CHARACTER OF [dd17] <> SET(a-z,A-Z,0-9,"&","*","(",")","-","'",",","/"," "))
            RETURN VALIDATION MESSAGE
          ENDIF

		     [dd17] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
         
         Reusing the MAT rule implementation here. Hence the regex.
    -->
    <assert id="VR.ATO.DD.100089" diagnostics="DVR.ATO.DD.100089"
            test="not(
                        $dd17
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9! @$%*()\-=\[\];:,.?/&#x26;&#x22;'']*$'))
                        ]
                    )"/>
    
    <!-- Rule ID: VR.ATO.GEN.500057
         ELS Ref: ACR
         
         IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS  " - " )
           RETURN VALIDATION MESSAGE
         ENDIF           
    -->
    <assert id="VR.ATO.GEN.500057" diagnostics="DVR.ATO.GEN.500057"
            test="not(
                        $dd19RPTAC[matches(.,'^(.*) - (.*)$')]
                        or
                        $dd19INTTAC[matches(.,'^(.*) - (.*)$')]
                     )"/> 
    
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410039
         ELS Ref: V138A
         
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  DOES NOT CONTAIN SET(""a-z"", ""A-Z"", ""0-9""))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039"
            test="matches(.,'^(.*)[a-zA-Z0-9](.*)$')"/>


    <!-- Rule ID: VR.ATO.GEN.428258
         ELS Ref: V139
         
        IF ([dd15] CONTAINS  " - " )
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [dd15]  = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.GEN.428258" diagnostics="DVR.ATO.GEN.428258"
            test="not(
                        matches(.,'^(.*) - (.*)$')
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500023
         ELS Ref: V9
         
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("{","}","|","_","\","#"))
          RETURN VALIDATION MESSAGE
        ENDIF      

    -->
    <assert id="VR.ATO.GEN.500023" diagnostics="DVR.ATO.GEN.500023"
            test="not(
                        matches(.,'[{}|_\\#]')
                    )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">


    <!-- Rule ID: VR.ATO.GEN.410040
         ELS Ref: V138B

        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
          RETURN VALIDATION MESSAGE
        ENDIF    
    -->
    <assert id="VR.ATO.GEN.410040" diagnostics="DVR.ATO.GEN.410040"
            test="not(
                        not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                  )" />


    <!-- Rule ID: VR.ATO.GEN.428262
         ELS Ref: V139
      
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.GEN.428262" diagnostics="DVR.ATO.GEN.428262"
             test="not(matches(.,'^(.*) - (.*)$')
             )"/>


    <!-- Rule ID: VR.ATO.GEN.428263
         ELS Ref: V138C
         
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("-_-","'’","  ") )
          RETURN VALIDATION MESSAGE
        ENDIF      
    -->
    <assert id="VR.ATO.GEN.428263" diagnostics="DVR.ATO.GEN.428263"
            test="not(
                        matches(.,'^(.*)(--|('')('')|  )(.*)$')
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.500024
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("{","}","|","_","\","#"))
          RETURN VALIDATION MESSAGE
        ENDIF       
    -->
    <assert id="VR.ATO.GEN.500024" diagnostics="DVR.ATO.GEN.500024"
            test="not(
                        matches(.,'[{}|_\\#]')
                     )"/>
  </rule>


  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.428264
         ELS Ref: V139
         
      IF ([dd8] CONTAINS  " - " )
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [dd8] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert  id="VR.ATO.GEN.428264" diagnostics="DVR.ATO.GEN.428264"
             test="not(matches(.,'^(.*) - (.*)$'))"/>
    

    <!-- Rule ID: VR.ATO.GEN.428265
         ELS Ref: V138C
         
        IF ([dd8] CONTAINS SET("-_-","'’","  ") )
          RETURN VALIDATION MESSAGE
        ENDIF
      
        FIELD1:
        [dd8] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert  id="VR.ATO.GEN.428265" diagnostics="DVR.ATO.GEN.428265"
             test="not(
                          matches(.,'^(.*)(--|('')('')|  )(.*)$')
                      )"/>


    <!-- Rule ID: VR.ATO.GEN.436001
         ELS Ref: V1217
    
        IF ([dd8] <> NULLORBLANK) AND ([dd8] DOES NOT STARTWITH SET("A-Z","a-z"))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [dd8] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.436001" diagnostics="DVR.ATO.GEN.436001"
             test="not(
                        not(matches(.,'^[a-zA-Z](.*)$', 'i'))                         
                       )"/>


    <!-- Rule ID: VR.ATO.GEN.500025
           ELS Ref: V9
         
          IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert  id="VR.ATO.GEN.500025" diagnostics="DVR.ATO.GEN.500025"
          test="not(matches(.,'[{}|_\\#]')
             )"/>
    
    
    
    
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500037
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF                      
    -->
    <assert id="VR.ATO.GEN.500037" diagnostics="DVR.ATO.GEN.500037"
            test="not(
                        matches(.,'[{}|_\\#]')
                    )"/>

  </rule>

    


  </pattern>