﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldLengths" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Lengths Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.DD.200092
         ELS REF: V7
         
        IF LENGTH([dd6]) > 13
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.DD.200092" diagnostics="DVR.ATO.DD.200092"
            test="not(
                        $dd6[string-length(.) > 13]
                      )"/>
    

  </rule>
  
  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500016
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:PersonNameDetails.FamilyName.Text) > 30
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500016" diagnostics="DVR.ATO.GEN.500016"
            test="not(
                        string-length(.) > 30
                      )"/>

    
    <!-- Rule ID: VR.ATO.GEN.500024
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("{","}","|","_","\","#"))
          RETURN VALIDATION MESSAGE
        ENDIF       
    -->
    <assert id="VR.ATO.GEN.500024" diagnostics="DVR.ATO.GEN.500024"
            test="not(
                        matches(.,'[{}|_\\#]')
                     )"/>

  </rule>


  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500017
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:PersonNameDetails.GivenName.Text) > 15
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500017" diagnostics="DVR.ATO.GEN.500017"
            test="not(
                        string-length(.) > 15
                      )"/>
  </rule>
  
</pattern>